Bug 158662 - [PATCH] Mk/bsd.python.mk: multiple changes
Summary: [PATCH] Mk/bsd.python.mk: multiple changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 10:20 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2011-07-14 05:20 UTC (History)
0 users

See Also:


Attachments
bsd.python.mk.patch (3.64 KB, patch)
2011-07-05 10:20 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-05 10:20:07 UTC
- Introduce PYTHON_ABIVER: fix PYTHON_INCLUDEDIR for python32 users (PYMALLOC and UCS4 are on by default)
- Use devel/py-distribute as setuptools for python 3.x users
- Minor changes (ports/154795), including:
  - Use py${PYTHON_VER} instead of ${PYTHON_VERSION:S/thon//}
  - Use "yes"
Comment 1 Edwin Groothuis freebsd_committer 2011-07-05 10:20:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

bsd.python.mk is freebsd-python territory (via the GNATS Auto Assign 
Tool)
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-07 13:41:21 UTC
Responsible Changed
From-To: freebsd-python->portmgr

Request for an -exp run. The patch is also available at 
http://people.freebsd.org/~sunpoet/bsd.python.mk.patch
Comment 3 Pav Lucistnik freebsd_committer 2011-07-12 09:00:10 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 4 Pav Lucistnik freebsd_committer 2011-07-13 23:40:08 UTC
Responsible Changed
From-To: pav->sunpoet

Tested OK on pointyhat!
Comment 5 dfilter service freebsd_committer 2011-07-14 05:13:33 UTC
sunpoet     2011-07-14 04:13:24 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.python.mk 
  Log:
  - Introduce PYTHON_ABIVER: fix PYTHON_INCLUDEDIR for python32 users (PYMALLOC and UCS4 are on by default)
  - Use devel/py-distribute as setuptools for python 3.x users
  - Use py${PYTHON_VER} instead of ${PYTHON_VERSION:S/thon//}
  - Use "yes"
  
  PR:             ports/158662
  Submitted by:   sunpoet (myself)
  Reviewed by:    lwhsu
  Tested by:      exp-run by pav
  With Hat:       python
  
  Revision  Changes    Path
  1.134     +16 -7     ports/Mk/bsd.python.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-14 05:13:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!